지난해에도 보안 결함으로 연기된 바 있어
사진=이더리움 홈페이지

사진=이더리움 홈페이지

오늘자로 예정됐던 가상화폐(암호화폐) 이더리움의 ‘콘스탄티노플 업그레이드’가 보안 결함으로 인해 또 다시 연기됐다.

15일(현지시간) 이더리움 재단은 공식 블로그를 통해 “일부 스마트 계약 관련 기능에서 위험성이 확인됐다”며 “개발자 및 보안전문가 등과 상의한 결과 예정됐던 콘스탄티노플 업그레이드를 잠정 연기한다”고 밝혔다.

콘스탄티노플 업그레이드는 이더리움의 네트워크 성능을 최적화하고 채굴 보상을 줄이는 내용을 담아 커뮤니티의 주목을 받았다. 이번 업그레이드의 취약점은 암호화폐 스마트 계약의 무결성을 검사하는 기업 체인시큐리티가 발견했다.

콘스탄티노플 업그레이드 연기는 지난해에 이어 두 번째다. 이더리움 재단은 작년 10월 콘스탄티노플 업그레이드 계획을 처음 발표했다. 같은해 11월에 적용하려다 버그가 발견돼 올해 초로 연기했는데 이날 다시 미룬 것이다.

이더리움 재단이 업그레이드를 미루며 신중한 태도를 취하는 이유는 스마트 계약 버그로 인해 대규모 해킹 사건이 터진 ‘전례’가 있어서다.

이더리움은 지난 2016년 6월 탈중앙화자율조직(DAO)의 스마트 계약 취약점이 해커들에게 노출돼 이더리움 360만개(당시 약 800억원 규모)를 탈취당했다. 이번에 발견된 콘스탄티노플 업그레이드의 취약점 역시 당시 문제가 된 취약점과 유사한 것으로 추정된다.

김산하 한경닷컴 기자 sanha@hankyung.com
기사제보 및 보도자료 open@hankyung.com

ⓒ 한경닷컴, 무단전재 및 재배포 금지